/**
 * Arduino Sketch für SmartHome yourself - Arduino Lehrgang
 * 
 * Tag 23: Foto-Transistor
 * Im heutigen Sketch werten wir das Signal eines Foto-Transistors aus 
 * und schalten in Abhängigkeit des gemessenen Helligkeitswertes eine LED ein bzw. aus.
 * 
 * 
 * By Daniel Scheidler - Dezember 2019
 */

const unsigned int ROTE_LED_PIN = 3;                                // globale Konstante für Pin mit roter LED
const unsigned int FOTO_TRANSISTOR_PIN = A0;                        // globale Konstante für Analogen Pin mit Foto-Transistor

const unsigned int LICHT_LEVEL_MESSWERT = 940;                      // globale Konstante als Grenzwert beim auslesen des Fototransistors.


void setup() {
  Serial.begin(38400);

  pinMode(ROTE_LED_PIN, OUTPUT);                                    // PIN von roter LED als OUTPUT festlegen.
  pinMode(FOTO_TRANSISTOR_PIN, INPUT);                              // PIN vom Foto-Transistor als INPUT festlegen.
}


void loop() {
  int lichtlevel = analogRead(FOTO_TRANSISTOR_PIN);
  Serial.println(lichtlevel);
  
  if(lichtlevel > LICHT_LEVEL_MESSWERT){       // Wenn Helligkeit über Grenzwert liegt, LED einschalten.
                                                                    // Da der Foto-Transistor mit einem PullUp Widerstand versehen ist, wird der Messwert kleiner, 
                                                                    // wenn die Helligkeit ansteigt. 
                                                                    
     digitalWrite(ROTE_LED_PIN, HIGH);                              // LED einschalten
      
  } else {                                                          // sonst
    
     digitalWrite(ROTE_LED_PIN, LOW);                               // LED ausschalten
  }

  delay(2000);                                                      // 5 Sekunden warten
}
